#include <bits/stdc++.h>
using namespace std;

int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(0);
    cout.tie(0);

    int n, k, x;
    cin>>n>>k>>x;
    int niz[n];

    if(n<=x && k <=x)
    {
        cout<<1<<" ";
        for(int i = 1; i <= k; i ++)
        {
            cout<<x + i<<" ";
        }
    }



    return 0;
}